cgSetCompilerIncludeString(3)

NAME
cgSetCompilerIncludeString - add shader source string to context

SYNOPSIS
  #include <Cg/cg.h>

  void cgSetCompilerIncludeString( CGcontext context, const char *name, const char *source );

PARAMETERS

context
    The context in which to add the source code for inclusion by the compiler.

name
    The virtual file system name of the shader source.

source
    Shader source code string.

RETURN VALUES
None.

DESCRIPTION
Each Cg runtime context maintains a virtual file system of shader source code for inclusion by the compiler. cgSetCompilerIncludeString populates source code into the virtual filesystem. A name is removed from the virtual filesystem by using NULL for the source. The virtual filesystem is completely cleared by using NULL for the name.

EXAMPLES

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgSetCompilerIncludeString was introduced in Cg 2.1.

SEE ALSO
cgSetCompilerIncludeFile, cgGetCompilerIncludeCallback, cgSetCompilerIncludeCallback